Topic: requires javascript and the Flash Player. Get Flash

I have read all the other topic's about this and have tried what all the others have said.  I still can not get it to work.    I have tried to change to theme to see if it works still will not. I have added the info into the wp-Header  I have added the jQuery.noConflict(); right above line 824, and a few other stuff.

Plugin v2.1.3
SimpleViwer-Pro 2.1.2
WP 2.9
wp-content/uploads is set to 777
PHP: 5.2.14

There are no other plug-ins running.   

I am pulling the photos from WP media also not flickr ( even tried it with Flickr   and still the same)
I have tried with the flash on and with the flash off. 
I have even tried both default themes and no a thing.
I do not know what to do now. 

Thank you

Last edited by frtaz (2011-05-28 01:38:26)

Re: requires javascript and the Flash Player. Get Flash

The call to 'simpleviewer.js' is not being inserted into the <head> of your gallery pages.
Perhaps your upload of WP-SimpleViewer is incomplete or corrupt.
Try deleting WP-SimpleViewer and reinstalling it.
Once reinstalled, try with the standard version before changing any files to upgrade to Pro.

Steven Speirs
SimpleViewer Support Team.

Re: requires javascript and the Flash Player. Get Flash

Ok I reinstalled it.   It works great in FireFox  but will not work in IE8 under the default theme I get (no images specified in Gallery XML).   When I change themes to the one I bought I get SimpleViewer requires JavaScript and the Flash Player. Get Flash. in both IE and FF   

I have not tested Pro out yet.

So that tells me I need to install a code a PHP file.  but what file and what do I put now?

Ok I uploaded Pro svcore     and now i am getting
SimpleViewer requires JavaScript and the Flash Player. Get Flash.

this is all being done on the default theme

If need to be I can ship you over a copy of my theme too.

Last edited by frtaz (2011-05-26 01:33:12)

Re: requires javascript and the Flash Player. Get Flash

Could you keep a non-functioning gallery active (with the default theme) so that we can take a look?
Perhaps install a fresh WordPress installation in a separate folder so that it does not interfere with your original installation.

in IE8 under the default theme I get (no images specified in Gallery XML)

The 'No Images Specified in Gallery XML' message being displayed in one browser but not another is strange.
It implies that the gallery is embedded OK and that the XML file has been found and is being parsed by the browsers but that each browser thinks its content is different. Did you clear your browsers's caches before reloading the galleries after making the changes?

Ok I uploaded Pro svcore     and now i am getting
SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Swapping out the Standard 'svcore' folder for the 'Pro' version should not cause a working gallery to stop functioning.
Try redownloading SimpleViewer Pro using the link in your purchase email to ensure that the Pro 'svcore' folder you are using does not have any missing or corrupt files.

When I change themes to the one I bought I get SimpleViewer requires JavaScript and the Flash Player. Get Flash. in both IE and FF

As per the requirements for WP-SimpleViewer here, does your theme call the wp_head function in it's header.php file?

Steven Speirs
SimpleViewer Support Team.

Re: requires javascript and the Flash Player. Get Flash

Ok I had someone to get the WP-SimpleViewer to work.   but now when i upload the Pro svcore folder it does not work.  I get the SimpleViewer requires JavaScript and the Flash Player. Get Flash.  message.     I re downloaded the Pro and reuploaded it again.  and still the same thing

Last edited by frtaz (2011-05-26 21:18:44)

Re: requires javascript and the Flash Player. Get Flash

Ok I talked with my hosting company and all is fine on there end.


[simpleviewer gallery_id="8" bgcolor="ffffff" gallery_width ="100%" gallery_height ="600"]  works great

[simpleviewer gallery_id="8"]   I get No Images  Specified in Gallery XML.      SimpleViewer requires JavaScript and the Flash Player. Get Flash.   

Ok now what is going on?

Last edited by frtaz (2011-05-27 15:02:45)

Re: requires javascript and the Flash Player. Get Flash

[simpleviewer gallery_id="8"]   I get No Images  Specified in Gallery XML.      SimpleViewer requires JavaScript and the Flash Player. Get Flash.

'No Images Specified In Gallery XML' and 'SimpleViewer requires JavaScript and the Flash Player. Get Flash.' are two very different messages.

'No Images Specified In Gallery XML' implies that the gallery has been embedded successfully and that the XML file has been parsed by the browser but no <image> entries have been found in the XML file.
If this is the case, then take a look at the 'Adding Images From WordPress Media Library' section on this page: http://www.simpleviewer.net/simpleviewe … er/#create

'SimpleViewer requires JavaScript and the Flash Player. Get Flash.' is displayed when the gallery cannot be embedded successfully, possibly because the path to the 'simpleviewer.js' file is missing or incorrect.
None of your 5 current galleries display the 'SimpleViewer requires JavaScript and the Flash Player. Get Flash.' message.
All galleries are embedded successfully, though some have crosses instead of images (as the images listed in the XML files do not exist at the specified locations) and others have 'No Images Specified In Gallery XML' (as the XML files contain no <image> entries).

[simpleviewer gallery_id="8" bgcolor="ffffff" gallery_width ="100%" gallery_height ="600"]  works great

The current version of WP-SimpleViewer inserts tags such as [simpleviewer gallery_id="8"].
Using the long or short tags should not make a difference (as the same XML file is parsed in each case) but if the long version works for you then this may be a suitable solution until the source of the problem can be found.

Steven Speirs
SimpleViewer Support Team.

Re: requires javascript and the Flash Player. Get Flash

Ok I will use the long code then.   thank you for your help.
One last question How do I get the Pro to work now.

Re: requires javascript and the Flash Player. Get Flash

Following the instructions here should be all that is required to upgrade WP-SimpleViewer from SimpleViewer Standard to SimpleViewer Pro: http://www.simpleviewer.net/simpleviewe … iewer/#pro
If you have followed these instructions and find that the gallery fails to function as expected, please post a URL to that specific gallery so that we can take a look.

Steven Speirs
SimpleViewer Support Team.

Re: requires javascript and the Flash Player. Get Flash

Ok I did it 100% and it is still not working I am getting
SimpleViewer requires JavaScript and the Flash Player. Get Flash.
Here is a link to the gallery. 

I do have the PRO svcore folder uploaded right now.

Last edited by frtaz (2011-05-28 01:38:04)

Re: requires javascript and the Flash Player. Get Flash

You are using WP-SimpleViewer v2.1.3 but SimpleViewer Pro v2.1.2.
WP-SimpleViewer v2.1.3 uses the new style embedding code which is not recognised by your v2.1.2 'svcore' folder.
Please upgrade to SimpleViewer Pro v2.1.3.
Download SimpleViewer Pro v2.1.3 using the link in your purchase email and follow the upgrade instructions in the link in my last post.

Steven Speirs
SimpleViewer Support Team.